> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.sevalla.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get static site

> Fetch detailed information about a specific static site by its unique identifier.



## OpenAPI

````yaml https://api.sevalla.com/v2/openapi.json get /static-sites/{id}
openapi: 3.1.0
info:
  title: Sevalla API docs
  version: 1.0.0
servers:
  - url: https://api.sevalla.com/v2
security:
  - bearerAuth: []
paths:
  /static-sites/{id}:
    get:
      tags:
        - Static sites
      summary: Get static site
      description: >-
        Fetch detailed information about a specific static site by its unique
        identifier.
      operationId: getStaticSiteV2
      parameters:
        - schema:
            type: string
            format: uuid
            pattern: >-
              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
            example: fb5e5168-4281-4bec-94c5-0d1584e9e657
          in: path
          name: id
          required: true
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  static_site:
                    type: object
                    properties:
                      id:
                        type: string
                        format: uuid
                        pattern: >-
                          ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                        description: Unique identifier for the static site
                        example: fb5e5168-4281-4bec-94c5-0d1584e9e657
                      name:
                        type: string
                        description: Unique name of the static site
                        example: my-static-site
                      display_name:
                        type: string
                        description: Display name of the static site
                        example: My Static Site
                      status:
                        anyOf:
                          - type: string
                          - type: 'null'
                        description: Current static site status
                        example: ready
                      repo_url:
                        type: string
                        description: Repository URL
                        example: https://github.com/user/static-site
                      default_branch:
                        type: string
                        description: Default git branch
                        example: main
                      auto_deploy:
                        description: Whether auto deploy is enabled
                        example: true
                        type: boolean
                      remote_repository_id:
                        anyOf:
                          - type: string
                          - type: 'null'
                        description: Remote repository identifier
                        example: '123456'
                      git_repository_id:
                        anyOf:
                          - type: string
                          - type: 'null'
                        description: Git repository identifier
                        example: '789012'
                      git_type:
                        anyOf:
                          - type: string
                          - type: 'null'
                        description: Git provider type (github, bitbucket, gitlab)
                        example: github
                      hostname:
                        anyOf:
                          - type: string
                          - type: 'null'
                        description: Site hostname
                        example: my-site.sevalla.app
                      build_command:
                        anyOf:
                          - type: string
                          - type: 'null'
                        description: Build command
                        example: npm run build
                      created_at:
                        type: number
                        description: Creation timestamp in milliseconds
                        example: 1738195200000
                      updated_at:
                        type: number
                        description: Last updated timestamp in milliseconds
                        example: 1738195200000
                      deployments:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                              format: uuid
                              pattern: >-
                                ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                              description: Unique identifier for the deployment
                              example: fb5e5168-4281-4bec-94c5-0d1584e9e657
                            status:
                              anyOf:
                                - type: string
                                - type: 'null'
                              description: Deployment status
                              example: success
                            repo_url:
                              anyOf:
                                - type: string
                                - type: 'null'
                              description: Repository URL
                              example: https://github.com/user/static-site
                            branch:
                              anyOf:
                                - type: string
                                - type: 'null'
                              description: Git branch of the deployment
                              example: main
                            commit_message:
                              anyOf:
                                - type: string
                                - type: 'null'
                              description: Commit message
                              example: 'feat: add new feature'
                            created_at:
                              type: number
                              description: Creation timestamp in milliseconds
                              example: 1738195200000
                          required:
                            - id
                            - status
                            - repo_url
                            - branch
                            - commit_message
                            - created_at
                          additionalProperties: false
                    required:
                      - id
                      - name
                      - display_name
                      - status
                      - repo_url
                      - default_branch
                      - auto_deploy
                      - remote_repository_id
                      - git_repository_id
                      - git_type
                      - hostname
                      - build_command
                      - created_at
                      - updated_at
                      - deployments
                    additionalProperties: false
                required:
                  - static_site
                additionalProperties: false
        '401':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Not found
                  status:
                    type: number
                    example: 404
                  data:
                    type: object
                    properties:
                      code:
                        description: Error tracking code for support reference
                        example: err_12345
                        type: string
                      message:
                        description: Instructions for the user
                        example: The requested resource was not found
                        type: string
                    additionalProperties: false
                required:
                  - message
                  - status
                additionalProperties: false
        '404':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Not found
                  status:
                    type: number
                    example: 404
                  data:
                    type: object
                    properties:
                      code:
                        description: Error tracking code for support reference
                        example: err_12345
                        type: string
                      message:
                        description: Instructions for the user
                        example: The requested resource was not found
                        type: string
                    additionalProperties: false
                required:
                  - message
                  - status
                additionalProperties: false
        '500':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Not found
                  status:
                    type: number
                    example: 404
                  data:
                    type: object
                    properties:
                      code:
                        description: Error tracking code for support reference
                        example: err_12345
                        type: string
                      message:
                        description: Instructions for the user
                        example: The requested resource was not found
                        type: string
                    additionalProperties: false
                required:
                  - message
                  - status
                additionalProperties: false
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        API key authentication. Pass your API key as a Bearer token in the
        Authorization header.

````